Class | DOT::DOTSimpleElement
In: | rdoc/dot/dot.rb
Parent: | Object

a root class for any element in dot notation

### Methods

new to_s

### Attributes

name | [RW] |

### Public Class methods

new( params = {} )

[Source]

    # File rdoc/dot/dot.rb, line 83
            def initialize( params = {} )
                @label = params['name'] ? params['name'] : ''
            end

### Public Instance methods

to_s()

[Source]

    # File rdoc/dot/dot.rb, line 87
            def to_s
                @name
            end

[Validate]